diff --git a/src/explosion.c b/src/explosion.c
index b3f2ca3b6..42643f8b7 100644
--- a/src/explosion.c
+++ b/src/explosion.c
@@ -116,14 +116,16 @@ static void Explosion_Func_PlayVoice(Explosion *e, uint16 voiceID)
 }
 
 /**
- * A No-Op for Explosion.
+ * Shake the screen.
  * @param e The Explosion.
  * @param parameter Unused parameter.
  */
-static void Explosion_Func_NoOperation(Explosion *e, uint16 parameter)
+static void Explosion_Func_ScreenShake(Explosion *e, uint16 parameter)
 {
 	VARIABLE_NOT_USED(e);
 	VARIABLE_NOT_USED(parameter);
+
+	/* TODO -- Implement this function */
 }
 
 /**
@@ -319,7 +321,7 @@ void Explosion_Tick()
 				case EXPLOSION_SET_ROW:            Explosion_Func_SetRow(e, parameter); break;
 				case EXPLOSION_TILE_DAMAGE:        Explosion_Func_TileDamage(e, parameter); break;
 				case EXPLOSION_PLAY_VOICE:         Explosion_Func_PlayVoice(e, parameter); break;
-				case EXPLOSION_NOOP:               Explosion_Func_NoOperation(e, parameter); break;
+				case EXPLOSION_SCREEN_SHAKE:       Explosion_Func_ScreenShake(e, parameter); break;
 				case EXPLOSION_SET_ANIMATION:      Explosion_Func_SetAnimation(e, parameter); break;
 				case EXPLOSION_BLOOM_EXPLOSION:    Explosion_Func_BloomExplosion(e, parameter); break;
 			}
diff --git a/src/explosion.h b/src/explosion.h
index bc8e9a6b9..221889a0e 100644
--- a/src/explosion.h
+++ b/src/explosion.h
@@ -20,7 +20,7 @@ typedef enum ExplosionCommand {
 	EXPLOSION_SET_ROW,                                      /*!< Set the row of the position for the Explosion. */
 	EXPLOSION_TILE_DAMAGE,                                  /*!< Handle damage to a tile in a Explosion. */
 	EXPLOSION_PLAY_VOICE,                                   /*!< Play a voice. */
-	EXPLOSION_NOOP,                                         /*!< Do nothing. */
+	EXPLOSION_SCREEN_SHAKE,                                 /*!< Shake the screen around. */
 	EXPLOSION_SET_ANIMATION,                                /*!< Set the animation for the Explosion. */
 	EXPLOSION_BLOOM_EXPLOSION                               /*!< Make a bloom explode. */
 } ExplosionCommand;
diff --git a/src/table/explosion.c b/src/table/explosion.c
index fe178acb6..2abe005bf 100644
--- a/src/table/explosion.c
+++ b/src/table/explosion.c
@@ -236,7 +236,7 @@ static const ExplosionCommandStruct s_explosion14[] = {
 	{ EXPLOSION_SET_TIMEOUT       ,    7 },
 	{ EXPLOSION_SET_SPRITE        ,  189 },
 	{ EXPLOSION_BLOOM_EXPLOSION   ,    0 },
-	{ EXPLOSION_NOOP              ,    0 },
+	{ EXPLOSION_SCREEN_SHAKE      ,    0 },
 	{ EXPLOSION_SET_TIMEOUT       ,    3 },
 	{ EXPLOSION_SET_SPRITE        ,  190 },
 	{ EXPLOSION_SET_TIMEOUT       ,    3 },
@@ -342,18 +342,18 @@ static const ExplosionCommandStruct s_explosion18[] = {
 static const ExplosionCommandStruct s_explosion19[] = {
 	{ EXPLOSION_SET_SPRITE        ,  156 },
 	{ EXPLOSION_PLAY_VOICE        ,   40 },
-	{ EXPLOSION_NOOP              ,    0 },
+	{ EXPLOSION_SCREEN_SHAKE      ,    0 },
 	{ EXPLOSION_SET_TIMEOUT       ,    7 },
-	{ EXPLOSION_NOOP              ,    0 },
+	{ EXPLOSION_SCREEN_SHAKE      ,    0 },
 	{ EXPLOSION_SET_SPRITE        ,  157 },
 	{ EXPLOSION_SET_TIMEOUT       ,    3 },
-	{ EXPLOSION_NOOP              ,    0 },
+	{ EXPLOSION_SCREEN_SHAKE      ,    0 },
 	{ EXPLOSION_SET_SPRITE        ,  158 },
 	{ EXPLOSION_SET_TIMEOUT       ,    3 },
-	{ EXPLOSION_NOOP              ,    0 },
+	{ EXPLOSION_SCREEN_SHAKE      ,    0 },
 	{ EXPLOSION_SET_SPRITE        ,  157 },
 	{ EXPLOSION_SET_TIMEOUT       ,    3 },
-	{ EXPLOSION_NOOP              ,    0 },
+	{ EXPLOSION_SCREEN_SHAKE      ,    0 },
 	{ EXPLOSION_TILE_DAMAGE       ,    0 },
 	{ EXPLOSION_STOP              ,    0 }
 };
